
/*

FUNCTION	: D-FLIP-FLOP with sync reset

*/

`timescale  1ns/1ns

module FDC (Q, C, RST, D);

    output Q;
    reg    qout;

    input  C, RST, D;	
	
	assign #1 Q = qout;
	always @(posedge C)
 	    if (RST) qout <= 0;
		 else qout <= D;

    specify
	(posedge C => (Q +: D)) = (1, 1);
	(posedge C => (Q +: RST)) = (1, 1);
    endspecify							   
	

endmodule
