
/*

FUNCTION	: D-FLIP-FLOP with sync reset and clock enable

*/

`timescale  1ns/1ns

module FDCE (Q, C, CE, RST, D);

    output Q;
    reg    q_out;

    input  C, CE, RST, D;

assign #1 Q = q_out;

always @(posedge C)	
	if (RST) q_out <= 0;
		else if (CE)
		q_out <= D;

    specify
	(posedge C => (Q +: D)) = (1, 1);
	(posedge C => (Q +: RST)) = (1, 1);
	(posedge C => (Q +: CE)) = (1, 1);
    endspecify

endmodule
