`timescale  1ns/1ns

module c74377 (/*AUTOARG*/
   // Outputs
   Q0, Q1, Q2, Q3, Q4, Q5, Q6, Q7, 
   // Inputs
   vddc, gndc, D0, D1, D2, D3, D4, D5, D6, D7, CP, EN
   );
   input vddc, gndc;
   input D0, D1, D2, D3, D4, D5, D6, D7;
   output Q0, Q1, Q2, Q3, Q4, Q5, Q6, Q7;
   input  CP, EN;
   reg t0, t1, t2, t3, t4, t5, t6, t7;
   
   assign #1 Q0 = t0&vddc&~gndc;
   assign #1 Q1 = t1&vddc&~gndc;
   assign #1 Q2 = t2&vddc&~gndc;
   assign #1 Q3 = t3&vddc&~gndc;
   assign #1 Q4 = t4&vddc&~gndc;
   assign #1 Q5 = t5&vddc&~gndc;
   assign #1 Q6 = t6&vddc&~gndc;
   assign #1 Q7 = t7&vddc&~gndc;
   
   always @(posedge CP) begin
      if (~EN) begin
	 t0 <= D0;
	 t1 <= D1;
	 t2 <= D2;
	 t3 <= D3;
	 t4 <= D4;
	 t5 <= D5;
	 t6 <= D6;
	 t7 <= D7;
      end
   end
   
endmodule
