`timescale  1ns/1ns

module c7474 (/*AUTOARG*/
   // Outputs
   Q1, Q1N, Q2, Q2N, 
   // Inputs
   vddc, gndc, CP1, R1, S1, D1, CP2, R2, S2, D2
   );
   input vddc, gndc;
   input   CP1, R1, S1, D1;	
   output  Q1, Q1N;
   input   CP2, R2, S2, D2;	
   output  Q2, Q2N;
   reg 	   q1out, q2out;
   
   assign #1 Q1 = q1out&vddc&~gndc;
   assign #1 Q1N = ~q1out&vddc&~gndc;
   always @(posedge CP1 or negedge S1 or negedge R1) begin
      if (~R1) q1out = 0;
      else if (~S1) q1out = 1;
      else q1out = D1;
   end
   assign #1 Q2 = q2out;
   assign #1 Q2N = ~q2out;
   always @(posedge CP2 or negedge S2 or negedge R2) begin
      if (~R2) q2out = 0;
      else if (~S2) q2out = 1;
      else q2out = D2;
   end
   
endmodule
