//*************************************************************
// This is the instruction memory for the x370 processor
// There are 64 locations of 16-bits each	
// This memory is initialized from a file which is given as
// a parameter.  You can change this parameter by right-clicking
// the iram component in the schematic and changing the property
// within the Properties menu.
//*************************************************************

`timescale 1ns / 1ns

module iram (addr, data ) ;
	parameter file = "iram.dat";   // Don't edit this here!
	input [5:0] addr;
	output [15:0] data;
	reg [15:0] data;
	
	// The memory array
	reg [15:0] memory[0:63] ;	
	
	// Read the initial contents of the memory from a file
	initial
		$readmemb (file, memory) ;	
	
	always @(addr) 
		data = #5 memory[addr];
	
endmodule
